Subject: bug#23476: 25.0.93; Visiting C files on master signals an error

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 May 2016 21:57:50 +0300

> Date: Sat, 7 May 2016 18:52:25 +0000
> Cc: [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > No, I'd like that question to go away completely.  Visiting Emacs
> > sources shouldn't trigger such questions, IMO it's absurd.
> 
> IF_LINT is an absurd macro, and C macros in general are absurd (unlike
> Lisp ones).  Something's got to give.

Correct fontification is not important enough to be annoyed like
that.  IMO, this cure is worse than the disease.

> > > To be fair, I did warn everybody about this in a post to emacs-devl on
> > > 2016-04-30.
> 
> > Why warn?  Just let's not do it at all.
> 
> Because the one-time inconvenience (not counting emacs -Q invocations) of
> answering the question is far less than the irritation and possible
> misunderstading caused by the unvarying mis-fontification of variables
> near IF_LINTs (of which there are 84 in the C sources, including 15 in
> xdisp.c).

I frequently visit and edit Emacs sources with "emacs -Q", so the
annoyance will be constant for me.

Let's try to find a solution that doesn't involve unsafe values.  I
hope there is such a solution; if not, I'd rather have the macro
mis-fontified than be annoyed by these questions each time I visit an
Emacs source file.

Thanks.